Pretest Build Reports - Build 6078 details

For more information see http://pretest.nongnu.org.

← back to list

Project: datamash-1.4
Source: https://agnx.s3.amazonaws.com/tmp/datamash-1.4.tar.gz
System: Oracle SunOS 5.10 (sun4v)
Status:
make-check failed
Download logs (what's inside?) datamash-1.4.pretest-build-report.build-6078.tar.bz2
Failed tests from tests-suite-summary.log:
========================================
GNU datamash 1.4: ./test-suite.log
========================================

# TOTAL: 20
# PASS:  14
# SKIP:  5
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

FAIL: tests/datamash-output-format
==================================

datamash (GNU datamash) 1.4
Copyright (C) 2018 Assaf Gordon
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Assaf Gordon.
r1...
r2...
r3...
r4...
r5...
r6...
r7...
r8...
r9...
f1...
f2...
f3...
f4...
f5...
f6...
f7...
g1...
g2...
g3...
g4...
g5...
g6...
g7...
e1...
e2...
m1...
m2...
datamash-output-format.pl: test m2: stdout mismatch, comparing m2.2 (expected) and m2.O (actual)
*** m2.2	Sun Dec 23 06:04:58 2018
--- m2.O	Sun Dec 23 06:04:58 2018
***************
*** 1 ****
! 1.00000X
--- 1 ----
! 1.0000090000000000000000000000000000036854595415794145284079193909305169167545113140249668504111468791961669921875000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000e+00
FAIL tests/datamash-output-format.pl (exit status: 1)
Last lines of tail-error.log:
make-check failed, tail of make-check.log:

echo "$col$br$std";					\
fi;								\
$success || exit 1
make: Fatal error: Command failed for target `test-suite.log'
Current working directory /home/agn/pretest.2018-12-23.l.aaKn/datamash-1.4.ar4h8w/datamash-1.4
*** Error code 1
The following command caused the error:
set +e; bases='tests/datamash-show-env.log  tests/datamash-tests.log  tests/datamash-tests-2.log  tests/datamash-parser.log  tests/datamash-error-msgs.log  tests/datamash-md5.log  tests/datamash-sha.log  tests/datamash-rand.log  tests/datamash-stats.log  tests/datamash-transpose.log  tests/datamash-crosstab.log  tests/datamash-check.log  tests/datamash-pair-tests.log  tests/datamash-check-tabular.log  tests/datamash-output-format.log  tests/datamash-sort-header.log  tests/datamash-sort-errors.log  tests/datamash-io-errors.log  tests/datamash-strbin.log  tests/datamash-valgrind.log';  bases=`for i in $bases; do echo $i; done | sed 's/\.log$//'`;  bases=`echo $bases`; \
log_list=`for i in $bases; do echo $i.log; done`; \
trs_list=`for i in $bases; do echo $i.trs; done`; \
log_list=`echo $log_list`; trs_list=`echo $trs_list`; \
make  test-suite.log TEST_LOGS="$log_list"; \
exit $?;
make: Fatal error: Command failed for target `check-TESTS'
Current working directory /home/agn/pretest.2018-12-23.l.aaKn/datamash-1.4.ar4h8w/datamash-1.4
*** Error code 1
make: Fatal error: Command failed for target `check-am'
Current working directory /home/agn/pretest.2018-12-23.l.aaKn/datamash-1.4.ar4h8w/datamash-1.4
*** Error code 1
The following command caused the error:
fail=; \
if (target_option=k; case ${target_option-} in  ?) ;;  *) echo "am__make_running_with_option: internal error: invalid"  "target option '${target_option-}' specified" >&2;  exit 1;;  esac;  has_opt=no;  sane_makeflags=$MAKEFLAGS;  if {  if test -z '1'; then  false;  elif test -n ''; then  true;  elif test -n '' && test -n ''; then  true;  else  false;  fi;  }; then  sane_makeflags=$MFLAGS;  else  case $MAKEFLAGS in  *\\[\ \	]*)  bs=\\;  sane_makeflags=`printf '%s\n' "$MAKEFLAGS"  | sed "s/$bs$bs[$bs $bs	]*//g"`;;  esac;  fi;  skip_next=no;  strip_trailopt ()  {  flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`;  };  for flg in $sane_makeflags; do  test $skip_next = yes && { skip_next=no; continue; };  case $flg in  *=*|--*) continue;;  -*I) strip_trailopt 'I'; skip_next=yes;;  -*I?*) strip_trailopt 'I';;  -*O) strip_trailopt 'O'; skip_next=yes;;  -*O?*) strip_trailopt 'O';;  -*l) strip_trailopt 'l'; skip_next=yes;;  -*l?*) strip_trailopt 'l';;  -[dEDm]) skip_next=yes;;  -[JT]) skip_next=yes;;  esac;  case $flg in  *$target_option*) has_opt=yes; break;;  esac;  done;  test $has_opt = yes); then \
failcom='fail=yes'; \
else \
failcom='exit 1'; \
fi; \
dot_seen=no; \
target=`echo check-recursive | sed s/-recursive//`; \
case "check-recursive" in \
distclean-* | maintainer-clean-*) list='po' ;; \
*) list='po' ;; \
esac; \
for subdir in $list; do \
echo "Making $target in $subdir"; \
if test "$subdir" = "."; then \
dot_seen=yes; \
local_target="$target-am"; \
else \
local_target="$target"; \
fi; \
(CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make  $local_target) \
|| eval $failcom; \
done; \
if test "$dot_seen" = "no"; then \
make  "$target-am" || exit 1; \
fi; test -z "$fail"
make: Fatal error: Command failed for target `check-recursive'
Current working directory /home/agn/pretest.2018-12-23.l.aaKn/datamash-1.4.ar4h8w/datamash-1.4
*** Error code 1
make: Fatal error: Command failed for target `check'

Build information

PATH /usr/gnu/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:usr/sfw/bin:/usr/bin:/bin
SHELL /opt/csw/bin/bash
PWD /home/agn/pretest.2018-12-23.l.aaKn/datamash-1.4.ar4h8w
hostname unstable10s
SOURCE https://agnx.s3.amazonaws.com/tmp/datamash-1.4.tar.gz
BASENAME datamash-1.4
configure_extra_params
make_extra_params
make_check_extra_params
env_extra_params
git_branch

Build host information

autoconf-version autoconf (GNU Autoconf) 2.69
automake-version automake (GNU automake) 1.15.1
autopoint-version no-version
autoreconf-version autoreconf (GNU Autoconf) 2.69
make-version no-version
makeinfo-version texi2any (GNU texinfo) 6.1
git-version git version 2.4.0
wget-version GNU Wget 1.19.4 built on solaris2.10.
rsync-version rsync version 3.1.2 protocol version 31
gcc-version gcc (GCC) 5.5.0
cc-version no-version
uname-s SunOS
uname-r 5.10
uname-m sun4v
uname-p sparc
uname-i SUNW,SPARC-Enterprise-T5220
uname-o
uname-v Generic_150400-17
lsb_release-v
lsb_release-i
lsb_release-d
lsb_release-r
lsb_release-c
etc_release Oracle Solaris 10 8/11 s10s_u10wos_17b SPARC
etc_issue

Download Log Files

logs/configure.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/6078/logs/configure.ok'
logs/configure.log 17.8 kB curl -JLO 'http://pretest.housegordon.org/g/6078/logs/configure.log'
logs/config.status 76.4 kB curl -JLO 'http://pretest.housegordon.org/g/6078/logs/config.status'
logs/make.log 81.4 kB curl -JLO 'http://pretest.housegordon.org/g/6078/logs/make.log'
logs/test-suite.0.log 24.8 kB curl -JLO 'http://pretest.housegordon.org/g/6078/logs/test-suite.0.log'
logs/make-check.log 34.4 kB curl -JLO 'http://pretest.housegordon.org/g/6078/logs/make-check.log'
logs/versions.txt 722 Bytes curl -JLO 'http://pretest.housegordon.org/g/6078/logs/versions.txt'
logs/environment.txt 191 Bytes curl -JLO 'http://pretest.housegordon.org/g/6078/logs/environment.txt'
logs/config.log 552.2 kB curl -JLO 'http://pretest.housegordon.org/g/6078/logs/config.log'
logs/tests-suite-summary.log 5.0 kB curl -JLO 'http://pretest.housegordon.org/g/6078/logs/tests-suite-summary.log'
logs/status 18 Bytes curl -JLO 'http://pretest.housegordon.org/g/6078/logs/status'
logs/make.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/6078/logs/make.ok'
logs/input.txt 181 Bytes curl -JLO 'http://pretest.housegordon.org/g/6078/logs/input.txt'
logs/timestamp.start.txt 68 Bytes curl -JLO 'http://pretest.housegordon.org/g/6078/logs/timestamp.start.txt'
logs/tail-error.log 3.6 kB curl -JLO 'http://pretest.housegordon.org/g/6078/logs/tail-error.log'
logs/config.h 43.9 kB curl -JLO 'http://pretest.housegordon.org/g/6078/logs/config.h'